Subject: RE: [mobile-ip] FW: I-D ACTION:draft-tsirtsis-dsmip-problem-00.tx t

From: Tsirtsis George <[email-masked]>
Date: Tue, 12 Aug 2003 19:15:47 -0400

It will most certainly do. Dual Stack is still the best way to move to IPv6
for a mobile or any end device. Mobile IPv6 today does not allow the end
node to manage an IPv4 HoA together with its IPv6 HoA and thus will have the
same issues.

As Hesham said we are almost ready to publish the MIPv4 extensions draft but
we are also working on appropriate MIPv6 extensions.

HIP ways of doing this...no pan intended :-) can be investigated
separately...so as per the discussion between Pekka N. and Hesham we will
also update the problem statement to reflect that.

Stay tuned.

George

-----Original Message-----
From: Charlie P [mailto:[email-masked]] 
Sent: Tuesday, August 12, 2003 5:43 PM
To: James Kempf
Cc: [email-masked]; [email-masked]
Subject: Re: [mobile-ip] FW: I-D ACTION:draft-tsirtsis-dsmip-problem-00.txt

Hello Jim,

I do not doubt that Mobile IPv6 will face certain operational issues. In
fact, some have already been mentioned in the context of GGSN operation.
But ...

James Kempf wrote:

>[1] Note that these issues also apply to MIPv6. I don't know of anybody 
>today offering commercial MIPv6 service, and when somebody does, we 
>will probably see the same kind of operational issues arise in the 
>MIPv6 WG that are currently being dealt with by the MIPv4 WG.
>
... this isn't guaranteed.  I would hope that some of the basic features of
IPv6, and the "improved" security features of Mobile IPv6 might go a long
way towards avoiding some of the difficulties of NAT traversal, and might be
a major improvement over the (eek!) tri-tunnel VPN suggestion.

It's at least a hope.

Regards,
Charlie P.

---

From: Soliman Hesham <[email-masked]>
Date: Tue, 12 Aug 2003 21:56:55 -0400

> > => Sure there are other approaches. However, our limiting factor
 > > is existing deployment. We want to deal with existing problems
 > > on the Internet that can be solved gradually. HIP does not do
 > > that now because a) it does not exist in standards or products,
 > > b) clearly not deployed, c) it has difficult problems that
 > > have not begun to be addressed (e.g. hierarchical name 
 > space ...etc).
 > > At this moment in time it is an idea that was prototyped and
 > > we all know the time it takes from conception to deployment.
 > > Look at v6 which was introduced for a much more tangible problem
 > > than the problems HIP is intended to solve, yet, 10 years later,
 > > deployment is still in its infancy (on a global level). So we need
 > > to realise these issues (in fact they are _the_ issues to
 > > think about) and not only look at the technical challenges.
 > 
 > I believe the intent of surfacing HIP is not to produce a 
 > Proposed Standard
 > but rather to do a set of Experimental drafts that would 
 > serve as a basis
 > for further work, somewhat similar to mipshop and the FMIPv4 
 > work. That work
 > would presumably involve the operational issues you talk 
 > about [1], in
 > addition to technical issues.

=> Ok, good to know. But HIP (whatever it becomes) is not 
useful for us or any deployment right now because this 
is a transition problem from existing MIPv4 deployment. 

 > today offering commercial MIPv6 service, and when somebody 
 > does, we will
 > probably see the same kind of operational issues arise in 
 > the MIPv6 WG that
 > are currently being dealt with by the MIPv4 WG.

=> I'm sure there will be. The issues I mentioned
above about HIP are not operational, they are fundamental
and non-trivial technical issues. But I don't want to 
discuss it here because it's off topic for this 
draft. 

Hesham